Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Session.Record

    java.lang.Object
      com.xensource.xenapi.Session.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Session

    public static class Session.Record

extends Object
implements Types.Record

Represents all the fields in a Session

Field Summary
`String` | `authUserName` the subject name of the user that was externally authenticated.
`String` | `authUserSid` the subject identifier of the user that was externally authenticated.
`Boolean` | `isLocalSuperuser` true iff this session was created using local superuser credentials
`Date` | `lastActive` Timestamp for last time session was active
`Map<String,String>` | `otherConfig` additional configuration
`Session` | `parent` references the parent session that created this session
`Boolean` | `pool` True if this session relates to a intra-pool login, false otherwise
`Set<String>` | `rbacPermissions` list with all RBAC permissions for this session
`Subject` | `subject` references the subject instance that created the session.
`Set<Task>` | `tasks` list of tasks created using the current session
`Host` | `thisHost` Currently connected host
`User` | `thisUser` Currently connected user
`String` | `uuid` Unique identifier/object reference
`Date` | `validationTime` time when session was last validated

Constructor Summary
`Session.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a session.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### thisHost

    public Host thisHost

  Currently connected host

### thisUser

    public User thisUser

  Currently connected user

### lastActive

    public Date lastActive

  Timestamp for last time session was active

### pool

    public Boolean pool

  True if this session relates to a intra-pool login, false otherwise

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### isLocalSuperuser

    public Boolean isLocalSuperuser

  true iff this session was created using local superuser credentials

### subject

    public Subject subject

  references the subject instance that created the session. If a session instance has is_local_superuser set, then the value of this field is undefined.

### validationTime

    public Date validationTime

  time when session was last validated

### authUserSid

    public String authUserSid

  the subject identifier of the user that was externally authenticated. If a session instance has is_local_superuser set, then the value of this field is undefined.

### authUserName

    public String authUserName

  the subject name of the user that was externally authenticated. If a session instance has is_local_superuser set, then the value of this field is undefined.

### rbacPermissions

    public Set<String> rbacPermissions

  list with all RBAC permissions for this session

### tasks

    public Set<Task> tasks

  list of tasks created using the current session

### parent

    public Session parent

  references the parent session that created this session

Constructor Detail

### Session.Record

    public Session.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a session.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD